Subject: Pro Compiler Oddity
From: Chris Richards <[email-masked]>
To: AMOS posting <[email-masked]>
Date: Mon, 20 Sep 1993 09:41:26 -0500 (CDT)

I got the Pro compiler the other day, despite my misgivings of getting the
first version of anything, and have been pleasantly surprised by the way 
it, well, works the way its supposed to.  It compiled all my programs
correctly with one exception:  It changed the length of two of my music
banks by +2.  This would not ordinarily be a problem except that I tell
which piece of music is in which bank using lengths and swap in and out of
bank three as needed.

It seems strange that only two of the five music banks in the program are
changed.  And it only happens with the stand alone option.  When I compile
to AMOS it works just fine.  I worked around it without any problem (just
started comparing approximate lengths rather that actual values) but I
thought I'd report it in case anyone was keeping an actual error list.

Are there any other bugs to the compiler that make things more interesting
than they need to be?

Chris R